Device Analytics
Endpoints
GET /api/analytics/workspace/devices
GET /api/analytics/{linkId}/devices
Query parameters
Optional explicit start date
Optional explicit end date
Optional timezone used when resolving date boundaries
Access and gates
- Permission:
analytics:read
- Link-level device endpoint requires
deviceRouting feature
Response model
Workspace endpoint returns:
deviceData
browserData
osData
Plan-aware behavior:
- Device, browser, and OS objects can be selectively empty on plans that do not include that breakdown type.
Link endpoint returns:
and validates link ownership in workspace scope.
curl -X GET "https://api.linquid.io/api/analytics/workspace/devices?days=7" \
-H "Authorization: Bearer <token>"
Common errors
403: required feature not available
404: link not found (link endpoint)
500: analytics backend/query failure